View Issue Details

IDProjectCategoryView StatusLast Update
0000210Adventure PHP FrameworkDokumentation // Documentationpublic2018-08-25 15:08
ReporterdingsdaAssigned ToChristianAchatz 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1 
Target VersionFixed in Version4.0 
Summary0000210: Einführung von @inheritdoc in phpDocBlocks
DescriptionAktuell sind bei abgeleiteten Klassen oder Klassen, die ein interface implementieren oft nochmal die DocBlocks für die Methoden zu finden, die ähnlichen Wortlaut haben oder eine exakte kopie des DocBlocks der Methode im interface/parent.

Durch den DocBlock in den abgeleiteten klassen entsteht die Notwendigkeit, diesen auch mitanzupassen, wenn sich die Beschreibung im Interface/parent ändert.

Eine erneute Dokumentation dieser Methoden ist nicht nötig, da IDEs und Doxygen die Doku auch so finden und anzeigen.

Den DocBlock ganz wegzulassen, kann aber verwirrend sein, weil nicht sofort ersichtlich ist, ob der nicht einfach nur vergessen wurde. aus dem grund ist die nutzung des tags @inheritdoc vorzuziehen.
Der tag wird zwar eigentlich nur ignoriert von der IDE aber ist wie gesagt beim stöbern im code besser als die Methode ohne DocBlock zu lassen.

Im laufe der Entwicklung für 2.2 sollten schrittweise unnötige doppeldokumentationen entfernt werden.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacenone

Relationships

related to 0000209 closedChristianAchatz Unnötige PhpDoc Tags entfernen 

Activities

ChristianAchatz

2014-06-20 12:14

administrator   ~0000393

Guter Punkt! +1

dingsda

2014-06-29 13:00

developer   ~0000417

neue infos dazu:
http://forum.adventure-php-framework.org/viewtopic.php?f=7&t=923&start=15#p19408

ganz unten gehts um geerbte docblocks bei überschreiben von methoden. kurzfassung:
 - phpstorm und doxygen unterstützen dies sowohl mit als auch ohne @inheritdoc.
 - netbeans unterstützt es nie

ChristianAchatz

2014-06-29 13:56

administrator   ~0000418

Vielen Dank für deine Recherche! :) Kommentare siehe Post.

ChristianAchatz

2015-09-05 17:06

administrator   ~0000594

Moved to 3.2 to shape scope for 3.1.

ChristianAchatz

2018-08-25 15:05

administrator   ~0000839

Separated doc blocks as necessary. Thus closing this topic.

In case inheritance is broken, kindly open dedicated ticket.

Issue History

Date Modified Username Field Change
2014-06-19 00:34 dingsda New Issue
2014-06-20 12:14 ChristianAchatz Note Added: 0000393
2014-06-29 13:00 dingsda Note Added: 0000417
2014-06-29 13:56 ChristianAchatz Note Added: 0000418
2014-06-29 13:57 ChristianAchatz Relationship added related to 0000209
2015-01-28 19:14 ChristianAchatz Target Version 3.0 => 3.1
2015-09-05 17:06 ChristianAchatz Note Added: 0000594
2015-09-05 17:06 ChristianAchatz Target Version 3.1 => 3.2
2016-03-23 14:01 ChristianAchatz Target Version 3.2 => 3.3
2016-08-10 14:20 ChristianAchatz Target Version 3.3 => 3.4
2017-09-08 15:22 ChristianAchatz Target Version 3.4 => 4.0
2018-08-25 15:05 ChristianAchatz Note Added: 0000839
2018-08-25 15:05 ChristianAchatz Assigned To => ChristianAchatz
2018-08-25 15:05 ChristianAchatz Status new => closed
2018-08-25 15:05 ChristianAchatz Resolution open => fixed
2018-08-25 15:05 ChristianAchatz Fixed in Version => 4.0
2018-08-25 15:08 ChristianAchatz Target Version 4.0 =>